让IE9 IE8 IE7浏览器支持HTML5标签

时间: 2017-03-22  分类: Javascript  收藏
一般开发时都不使用IE浏览器,特别是IE9 IE8这些, 不只速度慢,兼容问题也是一堆一堆的,没办法还是有一些人在使用这些浏览器,只能想办法尽量魂, 我本人用的是火狐浏览器,都弄好后我发现一个很严重的问题,除了ie9以下的浏览器都不能支持html5的新标签(article,aside,dialog,footer,header,section,footer,nav,figure,menu)

后来在网上找到一个js文件custom.modernizr.js,使用之后发现确实可以解决新标签的问题,但此文件就有9.2KB,仅仅几个标签,后来无意间发现HTML5shiv,实在是太小巧了,2KB,解决新标签支持问题,
使用方法如下,只需要在你的页面内加上如下代码即可
<!--[if lt IE 9]>
  <script src="/js/html5shiv.js"></script>
<![endif]-->
html5shiv.js文件也是相当简单如下,下载即可使用
https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js
分享到:

评论

昵 称: